import request from "@/utils/request"

/* 总体数据 */
export function screenOverview(params = {}) {
  return request({
    url: "/disease-data/data/screen/overview",
    method: "get",
    params,
  })
}
// 医联体地图
export function unionList(params = {}) {
  return request({
    url: "/disease-data/data/screen/union",
    method: "get",
    params,
  })
}
//近六个月上报量
export function sixMonthList(params = {}) {
  return request({
    url: "/disease-data/data/screen/union/sixMonth",
    method: "get",
    params,
  })
}
//性别分布
export function genderCount(params = {}) {
  return request({
    url: "/disease-data/data/screen/genderCount",
    method: "get",
    params,
  })
}
//年龄段分布
export function ageCount(params = {}) {
  return request({
    url: "/disease-data/data/screen/ageCount",
    method: "get",
    params,
  })
}
//风险分布
export function riskCount(params = {}) {
  return request({
    url: "/disease-data/data/screen/riskCount",
    method: "get",
    params,
  })
}
//应答情况
export function checkCondition(params = {}) {
  return request({
    url: "/disease-data/data/screen/checkCondition",
    method: "get",
    params,
  })
}
// 良性疾病
export function esophagusBenign(params = {}) {
  return request({
    url: "/disease-data/data/screen/esophagus/benign",
    method: "get",
    params,
  })
}
// 良性疾病
export function gastricBenign(params = {}) {
  return request({
    url: "/disease-data/data/screen/gastric/benign",
    method: "get",
    params,
  })
}
// 胃癌内镜检出率
export function cancerFound(params = {}) {
  return request({
    url: "/disease-data/data/screen/gastric/cancer",
    method: "get",
    params,
  })
}
// 早癌占比
export function earlyGastric(params = {}) {
  return request({
    url: "/disease-data/data/screen/earlyGastric/cancer",
    method: "get",
    params,
  })
}
